=== debian/changelog ===
libgnatcoll-db (21.0.0-6) unstable; urgency=medium

  [ Peter Michael Green ]
  * Use -Os on mipsel, to work around jump length error (Closes: 971018).

 -- Nicolas Boulenguez <nicolas@debian.org>  Wed, 29 Dec 2020 17:08:02 +0000

libgnatcoll-db (21.0.0-5) unstable; urgency=medium

  [ Adrian Bunk <bunk@debian.org> ]
  * Fix the build on mipsel.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 22 Dec 2020 23:35:21 +0100

libgnatcoll-db (21.0.0-4) unstable; urgency=medium

  * Reupload to unstable for gnat-10 transition.
  * Standards-Version: 4.5.1.

 -- Nicolas Boulenguez <nicolas@debian.org>  Mon, 21 Dec 2020 07:50:30 +0100

libgnatcoll-db (21.0.0-3) experimental; urgency=medium

  * Let -db-bin Break and Replace -sqlite-bin. Closes: #975006.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 17 Nov 2020 21:09:31 +0000

libgnatcoll-db (21.0.0-2) experimental; urgency=medium

  * Clean xref/generated/* but keep the directory for a future build.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 17 Nov 2020 18:34:58 +0000

libgnatcoll-db (21.0.0-1) experimental; urgency=medium

  * New upstream release.  New -doc package.
    No ALI/SO change in experimental, but the version restrictions in
    build dependencies  should ensure the build order.
  * Upstream now grants the GCC runtime exception to GPL-3+.
    Relicense Debian packaging accordingly.
  * Debian now accepts code linking GPL code with OpenSSL.
    Reenable binding to PostGreSQL (closes: #868189).
    Rename helper executable and -bin package for consistency.
  * Upstream recommends to watch github instead of the community website.
    The main motivation for repackaging has disappeared.
    Restore license for previously stripped sqlite/amalgamation copy.
  * Revert an upstream commit (subsecond precision in SQLite timestamps)
    requiring gnat features not yet in Debian.
  * Adapt doc build script to python3.
  * Remove unused sphinx extensions.
  * Improve description of binary packages.
  * Change global Section from misc to more accurate libdevel.
  * Replace generic description of gnatcoll with specific descriptions.
  * Improve patch introducing a shared GNAT project (no-op for Debian, but
    may help acceptance by upstream).

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 15 Nov 2020 20:56:43 +0000

libgnatcoll-db (20.0-1) experimental; urgency=medium

  * New upstream release built with gnat-10. Rename lib and -dev packages.
  * Split some patches and forward some.
  * Debhelper 13.
  * Drop obsolete Pre-Depends.
  * Pass build flags via the environment.
  * Spare some gprbuild runs.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 07 Jun 2020 19:48:22 +0000
