=== debian/tests/control ===
Tests: gnatinspect

Tests: link-sqlite
Depends: @, gprbuild
