=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%gnatcoll-db-$1.tar.gz%" \
https://github.com/AdaCore/gnatcoll-db/tags \
(?:.*?/)?v?(\d[\d.]*)\.tar\.gz
