## libgnatcoll-db 22.0.0

=== debian/changelog ===
libgnatcoll-db (22.0.0-2) unstable; urgency=medium

  * Reupload to unstable for the gnat-11 transition
  * Configure branch names for git-buildpackage
  * Require dh-ada-library 7.5, which generates ada:Depends differently

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 08 May 2022 19:35:17 +0200

libgnatcoll-db (22.0.0-1) experimental; urgency=medium

  * Build new upstream version with gnat-11. Rename -dev packages.
    Force build order in experimental with version restrictions.
  * Build-Depend: tex-gyre.
  * Standards-Version: 4.6.0.
  * Cherry-pick equality-string-unbounded.diff from upstream 22.2 branch.
  * Use unversioned debian_packaging.mk from the gnat package.
  * Add upstream metadata.
  * uscan: drop unneeded filenamemangle option.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 22 Mar 2022 13:27:02 +0000
