=== debian/control ===
--- 
+++ 
@@ -5,14 +5,13 @@
 Build-Depends:
  debhelper-compat (= 13),
 Build-Depends-Arch:
- dh-ada-library (>= 7.2),
+ dh-ada-library (>= 7.5),
  dh-sequence-ada-library,
  gnat,
-# debian/rules finds the gnat version here:
- gnat-10,
+ gnat-11 (>= 11.2.0-19),
  gprbuild (>= 2021.0.0.0778b109-2),
- libgnatcoll19-dev (>= 21.0.0-2),
- libgnatcoll-iconv19-dev (>= 21.0.0-3),
+ libgnatcoll20-dev (>= 22.1.0-2),
+ libgnatcoll-iconv20-dev,
  libpq-dev,
  libsqlite3-dev,
 Build-Depends-Indep:
@@ -21,17 +20,18 @@
  latexmk,
  python3-sphinx,
  sphinx-common,
+ tex-gyre,
  texlive-fonts-recommended,
  texlive-latex-extra,
 Homepage: https://github.com/AdaCore/gnatcoll-db
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian/libgnatcoll-db
 Vcs-Git: https://salsa.debian.org/debian/libgnatcoll-db.git
 
 ######################################################################
 
-Package: libgnatcoll-sqlite19-dev
+Package: libgnatcoll-sqlite20-dev
 Architecture: any
 Depends: libsqlite3-dev, ${misc:Depends}, ${ada:Depends}
 Suggests: libgnatcoll-db-bin, libgnatcoll-db-doc,
@@ -89,7 +89,7 @@
 
 ######################################################################
 
-Package: libgnatcoll-sql3-dev
+Package: libgnatcoll-sql4-dev
 Architecture: any
 Depends: ${misc:Depends}, ${ada:Depends}
 Suggests: libgnatcoll-db-bin, libgnatcoll-db-doc,
@@ -114,7 +114,7 @@
 
 ######################################################################
 
-Package: libgnatcoll-xref20-dev
+Package: libgnatcoll-xref21-dev
 Architecture: any
 Depends: ${misc:Depends}, ${ada:Depends}
 Suggests: libgnatcoll-db-bin, libgnatcoll-db-doc,
@@ -140,7 +140,7 @@
 
 ######################################################################
 
-Package: libgnatcoll-postgres1-dev
+Package: libgnatcoll-postgres2-dev
 Architecture: any
 Depends: ${misc:Depends}, ${ada:Depends}
 Suggests: libgnatcoll-db-bin, libgnatcoll-db-doc,
