=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 # Build script for GNATColl database components in Debian.
-# Copyright (c) 2014-2020 Nicolas Boulenguez <nicolas@debian.org>
+# Copyright (c) 2014-2022 Nicolas Boulenguez <nicolas@debian.org>
 
 # This build script is free software; you can redistribute it and/or
 # modify it under the terms of the GNU General Public License as
@@ -16,7 +16,6 @@
 # /usr/share/common-licenses/GPL-3.
 
 $(foreach line,$(shell sed -n '\
-  s/^ gnat-\([0-9.]\+\),$$/                          GNAT_VERSION:=\1        /p; \
   s/^Package: libgnatcoll-\([a-z]\+\)\([0-9.]\+\)$$/ gnatcoll_\1_version:=\2 /p; \
   ' debian/control),$(eval $(line)))
 
@@ -39,8 +38,10 @@
   DEB_CFLAGS_MAINT_APPEND += -Os
 endif
 
+include /usr/share/dpkg/architecture.mk
 include /usr/share/dpkg/buildflags.mk
-include $(wildcard /usr/share/ada/debian_packaging-$(GNAT_VERSION).mk)
+include /usr/share/dpkg/buildopts.mk
+include $(wildcard /usr/share/ada/debian_packaging.mk)
 # wildcard means: not during -indep builds.
 
 LD_LIBRARY_PATH := \
@@ -56,7 +57,7 @@
 
 gprbuild := \
   ADA_PROJECT_PATH=$(ADA_PROJECT_PATH) \
-  gprbuild -p $(BUILDER_OPTIONS) \
+  gprbuild -p $(GPRBUILDFLAGS) \
   $(foreach v,$(vars),-X$(v)="$($(v))")
 
 %:
@@ -119,9 +120,10 @@
 	  $(l)/gnatcoll_$(l).gpr)
 
 override_dh_auto_build-indep:
-ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
-	dh_auto_build --sourcedir=docs -- html latexpdf text
-endif
+  ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
+	dh_auto_build --sourcedir=docs -- html latexpdf text \
+	  $(addprefix SPHINXOPTS=-j,$(DEB_BUILD_OPTION_PARALLEL))
+  endif
 
 # Avoid a warning about doc-main-package.
 doc_pkg := libgnatcoll-db-doc
