=== debian/changelog ===
libgnatcoll-db (23.0.0-4) unstable; urgency=medium

  * Break/Replace libgnatcoll-*-dev since oldstable.
    Closes: #1034946, #1034964, #1034981, #1035010.

 -- Nicolas Boulenguez <nicolas@debian.org>  Wed, 10 May 2023 23:15:55 +0200

libgnatcoll-db (23.0.0-3) unstable; urgency=medium

  * Reupload to unstable for the gnat-12 transition.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 27 Dec 2022 01:37:53 +0100

libgnatcoll-db (23.0.0-2) experimental; urgency=medium

  * The flags fixing MIPS builds were relying on a bug in packaging.mk
    (DEB_CFLAGS_MAINT_* influencing ADAFLAGS). Explicitly fix both languages.
  * Revert the part of 23.0.0-1 applying two flags to two architectures.
    This is confusing and does not help.

 -- Nicolas Boulenguez <nicolas@debian.org>  Wed, 21 Dec 2022 15:01:04 +0000

libgnatcoll-db (23.0.0-1) experimental; urgency=medium

  * New upstream version 23.0.0
  * Build-Depend: sphinx rtd theme
  * Standards-Version: 4.6.2
  * Refresh patches
  * Set both -mxgot -Os on both mips64el mipsel

 -- Nicolas Boulenguez <nicolas@debian.org>  Wed, 21 Dec 2022 14:12:14 +0100

libgnatcoll-db (23~20220814-1) experimental; urgency=medium

  * Update for dh-ada-library 8.1.
  * Upstream snapshot applying some patches.
  * gnatcoll.gpr is now generated by.gprinstall and does define So_Ext,
    remove the related patch.
  * Install executables and libraries to debian/tmp with gprinstall.
  * Avoid dh_auto_build spawning several gprbuild or sphinx,
    interfering with their own job management.
  * Patch adding an informative shebang to installed scripts.
  * Prefer execute_before_dh_before to override/--remaining-packages.
  * Keep upstream layout for the only example.

 -- Nicolas Boulenguez <nicolas@debian.org>  Mon, 29 Aug 2022 22:38:31 +0000

libgnatcoll-db (23~20220527-1) experimental; urgency=medium

  * Build new snapshot with gcc-12 for experimental.
    Rename -dev packages per Ada policy.  No new shared object version.
  * Install example into the -doc package
  * Install dborm.py, required by gnatcoll_db2ada
  * rules: include architecture.mk before using it
  * rules: simplify transmission of versions/paths to gprbuild/dh-ada-library
  * Build with gcc-12 for experimental
  * Ensure the same compiler for Ada and C
  * Prefer debian/clean to a debhelper override
  * Bump Standards-Version
  * Refresh and update patches

 -- Nicolas Boulenguez <nicolas@debian.org>  Wed, 10 Aug 2022 10:08:40 +0000
