=== debian/control ===
--- 
+++ 
@@ -5,13 +5,12 @@
 Build-Depends:
  debhelper-compat (= 13),
 Build-Depends-Arch:
- dh-ada-library (>= 7.5),
+ dh-ada-library (>= 8.1),
  dh-sequence-ada-library,
- gnat,
- gnat-11 (>= 11.2.0-19),
+ gnat-12,
  gprbuild (>= 2021.0.0.0778b109-2),
- libgnatcoll20-dev (>= 22.1.0-2),
- libgnatcoll-iconv20-dev,
+ libgnatcoll21-dev (>= 22.1.0-2),
+ libgnatcoll-iconv21-dev,
  libpq-dev,
  libsqlite3-dev,
 Build-Depends-Indep:
@@ -19,19 +18,23 @@
 # Sphinx >= 1.6 uses the latexmk driver:
  latexmk,
  python3-sphinx,
+# docs/conf.py
+ python3-sphinx-rtd-theme,
  sphinx-common,
  tex-gyre,
  texlive-fonts-recommended,
  texlive-latex-extra,
 Homepage: https://github.com/AdaCore/gnatcoll-db
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian/libgnatcoll-db
 Vcs-Git: https://salsa.debian.org/debian/libgnatcoll-db.git
 
 ######################################################################
 
-Package: libgnatcoll-sqlite20-dev
+Package: libgnatcoll-sqlite21-dev
+Breaks: libgnatcoll-sqlite17-dev, libgnatcoll-sqlite18-dev, libgnatcoll-sqlite19-dev, libgnatcoll-sqlite20-dev
+Replaces: libgnatcoll-sqlite17-dev, libgnatcoll-sqlite18-dev, libgnatcoll-sqlite19-dev, libgnatcoll-sqlite20-dev
 Architecture: any
 Depends: libsqlite3-dev, ${misc:Depends}, ${ada:Depends}
 Suggests: libgnatcoll-db-bin, libgnatcoll-db-doc,
@@ -89,7 +92,9 @@
 
 ######################################################################
 
-Package: libgnatcoll-sql4-dev
+Package: libgnatcoll-sql5-dev
+Breaks: libgnatcoll-sql1-dev, libgnatcoll-sql2-dev, libgnatcoll-sql3-dev, libgnatcoll-sql4-dev
+Replaces: libgnatcoll-sql1-dev, libgnatcoll-sql2-dev, libgnatcoll-sql3-dev, libgnatcoll-sql4-dev
 Architecture: any
 Depends: ${misc:Depends}, ${ada:Depends}
 Suggests: libgnatcoll-db-bin, libgnatcoll-db-doc,
@@ -114,7 +119,9 @@
 
 ######################################################################
 
-Package: libgnatcoll-xref21-dev
+Package: libgnatcoll-xref22-dev
+Breaks: libgnatcoll-xref18-dev, libgnatcoll-xref19-dev, libgnatcoll-xref20-dev, libgnatcoll-xref21-dev
+Replaces: libgnatcoll-xref18-dev, libgnatcoll-xref19-dev, libgnatcoll-xref20-dev, libgnatcoll-xref21-dev
 Architecture: any
 Depends: ${misc:Depends}, ${ada:Depends}
 Suggests: libgnatcoll-db-bin, libgnatcoll-db-doc,
@@ -140,7 +147,9 @@
 
 ######################################################################
 
-Package: libgnatcoll-postgres2-dev
+Package: libgnatcoll-postgres3-dev
+Breaks: libgnatcoll-postgres1-dev, libgnatcoll-postgres2-dev
+Replaces: libgnatcoll-postgres1-dev, libgnatcoll-postgres2-dev
 Architecture: any
 Depends: ${misc:Depends}, ${ada:Depends}
 Suggests: libgnatcoll-db-bin, libgnatcoll-db-doc,
