=== debian/watch ===
version=4

https://github.com/AdaCore/gnatcoll-db/tags \
(?:.*?/)?v?(\d[\d.]*)\.tar\.gz
